обновился до 9.2, не могу поставить php

Простые/общие вопросы по UNIX системам. Спросите здесь, если вы новичок

Модераторы: vadim64, terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Аватара пользователя
fedottt
рядовой
Сообщения: 31
Зарегистрирован: 2009-03-18 10:11:44
Откуда: Киев
Контактная информация:

обновился до 9.2, не могу поставить php

Непрочитанное сообщение fedottt » 2013-10-16 20:07:41

доброго дня
предистория.
чем-то думая, решил обновить php52 до php54
снес старый, начал ставить новый - получил ошибку

Код: Выделить всё

: In function `vspprintf':
: undefined reference to `strnlen'
путем гугла выяснил, что виновата моя старенькая 7.0
используя freebsd-update обновился до 9.2 сразу.
это помогло ровно ничего.
осталась та же ошибка.
было испробовано

Код: Выделить всё

pkgdb -F
не помогло, по некому гайду с интернетов было опробовано установить libxml2.
все закончилось этим:

Код: Выделить всё

/libexec/ld-elf.so.1: Shared object "libz.so.6" not found, required by "libxml2.so.5"
теперь эта ошибка валится везде и вся.
Последний раз редактировалось f_andrey 2013-10-16 21:23:22, всего редактировалось 1 раз.
Причина: Автору. пожалуйста, выбирайте соответствующий раздел форума, если приведёте больше логов, это повысит вероятность ответов, а не флуда

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/


Аватара пользователя
fedottt
рядовой
Сообщения: 31
Зарегистрирован: 2009-03-18 10:11:44
Откуда: Киев
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение fedottt » 2013-10-16 21:43:00

portupgrade

mak_v_
проходил мимо

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение mak_v_ » 2013-10-16 22:05:59

ну так читать /usr/ports/UPDATING ну или "быстрый способ"

Код: Выделить всё

portupgrade -fa
пересоберет весь софт

Аватара пользователя
fedottt
рядовой
Сообщения: 31
Зарегистрирован: 2009-03-18 10:11:44
Откуда: Киев
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение fedottt » 2013-10-16 22:28:20

не актульно, закрывайте тему
там столько говна, что уже пошел переставлять ос

Гость
проходил мимо

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение Гость » 2013-10-17 8:00:51

Отмечу, что с версии php 5.4.16 во фре pdo_dblib не работает. Причем даже после ручной пересборки модуля из исходников и применения патча. Из-за этого пришлось переставлять ось на 9.1 без обновления портов (там версия php 5.4.7).

Аватара пользователя
tom.cat
старшина
Сообщения: 441
Зарегистрирован: 2007-11-24 20:23:49
Откуда: Мытищи
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение tom.cat » 2013-10-17 10:13:53

С какой версии обновлялся? с 7-й сразу на 9.2?
When you see pigs fly it means Windows has become open source

Аватара пользователя
fedottt
рядовой
Сообщения: 31
Зарегистрирован: 2009-03-18 10:11:44
Откуда: Киев
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение fedottt » 2013-10-17 11:27:25

обновлял так
7 -> 7.4
7.4 -> 9.2

Аватара пользователя
tom.cat
старшина
Сообщения: 441
Зарегистрирован: 2007-11-24 20:23:49
Откуда: Мытищи
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение tom.cat » 2013-10-17 11:55:46

fedottt писал(а):обновлял так
7 -> 7.4
7.4 -> 9.2
Православно так: 7.0->7.4->8.3->9.2
When you see pigs fly it means Windows has become open source

Аватара пользователя
fedottt
рядовой
Сообщения: 31
Зарегистрирован: 2009-03-18 10:11:44
Откуда: Киев
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение fedottt » 2013-10-17 11:59:44

8.3? а как же 8.4?

Аватара пользователя
tom.cat
старшина
Сообщения: 441
Зарегистрирован: 2007-11-24 20:23:49
Откуда: Мытищи
Контактная информация:

Re: обновился до 9.2, не могу поставить php

Непрочитанное сообщение tom.cat » 2013-10-17 12:04:08

fedottt писал(а):8.3? а как же 8.4?
Да, именно. Забыл, что 8.4 вышел.
When you see pigs fly it means Windows has become open source